View Issue Details

IDProjectCategoryView StatusLast Update
0003377GNUnetsecret sharing servicepublic2018-06-07 00:25
ReporterBart PolotAssigned ToFlorian Dold 
PrioritynormalSeveritycrashReproducibilitysometimes
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003377: Abort in secretsharing profiler
DescriptionThis looks like a different crash from 0003375:

(gdb) bt
#0 0x00007f4be01a8389 in raise () from /usr/lib/libc.so.6
#1 0x00007f4be01a9788 in abort () from /usr/lib/libc.so.6
#2 0x00007f4be24b3020 in GNUNET_abort () at common_logging.c:289
#3 0x00007f4be207ee86 in remove_queue_entry (op=0xf2a1e0, index=0) at testbed_api_operations.c:438
#4 0x00007f4be207f7f0 in change_state (op=0xf2a1e0, state=OP_STATE_ACTIVE) at testbed_api_operations.c:483
#5 0x00007f4be2080526 in process_rq_task (cls=0x0, tc=0x7fffaa695830) at testbed_api_operations.c:552
#6 0x00007f4be24e9e0c in run_ready (rs=0xddc500, ws=0xddc590) at scheduler.c:595
#7 0x00007f4be24ea69a in GNUNET_SCHEDULER_run (task=0x7f4be24e4bf7 <program_main>, task_cls=0x7fffaa695ad0)
    at scheduler.c:817
#8 0x00007f4be24e5788 in GNUNET_PROGRAM_run2 (argc=3, argv=0x7fffaa695c70,
    binaryName=0x402ca2 "gnunet-secretsharing-profiler", binaryHelp=0x7f4be2094149 "nohelp",
    options=0x7fffaa695c30, task=0x7f4be208b749 <run>, task_cls=0xddc6e0, run_without_scheduler=0) at program.c:286
#9 0x00007f4be24e58e4 in GNUNET_PROGRAM_run (argc=3, argv=0x7fffaa695c70,
    binaryName=0x402ca2 "gnunet-secretsharing-profiler", binaryHelp=0x7f4be2094149 "nohelp",
    options=0x7fffaa695c30, task=0x7f4be208b749 <run>, task_cls=0xddc6e0) at program.c:325
#10 0x00007f4be208ba57 in GNUNET_TESTBED_test_run (testname=0x402ca2 "gnunet-secretsharing-profiler",
    cfg_filename=0xddcb60 "test_secretsharing.conf", num_peers=16, event_mask=0, cc=0x4014dd <controller_cb>,
    cc_cls=0x0, test_master=0x4025dd <test_master>, test_master_cls=0x0) at testbed_api_test.c:151
#11 0x0000000000402941 in run (cls=0x0, args=0x7fffaa696090, cfgfile=0xddcb60 "test_secretsharing.conf",
    cfg=0xdda700) at gnunet-secretsharing-profiler.c:519
#12 0x00007f4be24e57be in GNUNET_PROGRAM_run2 (argc=5, argv=0x7fffaa696068,
    binaryName=0x402ca2 "gnunet-secretsharing-profiler", binaryHelp=0x402ddf "help", options=0x402f80 <options>,
    task=0x402786 <run>, task_cls=0x0, run_without_scheduler=1) at program.c:291
#13 0x000000000040299e in main (argc=5, argv=0x7fffaa696068) at gnunet-secretsharing-profiler.c:556

Additional Information(gdb) bt full
#0 0x00007f4be01a8389 in raise () from /usr/lib/libc.so.6
No symbol table info available.
#1 0x00007f4be01a9788 in abort () from /usr/lib/libc.so.6
No symbol table info available.
#2 0x00007f4be24b3020 in GNUNET_abort () at common_logging.c:289
No locals.
#3 0x00007f4be207ee86 in remove_queue_entry (op=0xf2a1e0, index=0) at testbed_api_operations.c:438
        opq = 0xe4d680
        entry = 0xf2a2b0
        __FUNCTION__ = "remove_queue_entry"
#4 0x00007f4be207f7f0 in change_state (op=0xf2a1e0, state=OP_STATE_ACTIVE) at testbed_api_operations.c:483
        entry = 0xf2a2b0
        opq = 0x7f4be208035c <process_rq_task>
        cnt = 0
        s = 2859030432
        __FUNCTION__ = "change_state"
#5 0x00007f4be2080526 in process_rq_task (cls=0x0, tc=0x7fffaa695830) at testbed_api_operations.c:552
        op = 0xf2a1e0
        queue = 0x7fffaa695830
        cnt = 32587
        __FUNCTION__ = "process_rq_task"
#6 0x00007f4be24e9e0c in run_ready (rs=0xddc500, ws=0xddc590) at scheduler.c:595
        p = GNUNET_SCHEDULER_PRIORITY_SHUTDOWN
        pos = 0xec61f0
        tc = {reason = (GNUNET_SCHEDULER_REASON_SHUTDOWN | GNUNET_SCHEDULER_REASON_TIMEOUT), read_ready = 0xddc500,
          write_ready = 0xddc590}
        __FUNCTION__ = "run_ready"
#7 0x00007f4be24ea69a in GNUNET_SCHEDULER_run (task=0x7f4be24e4bf7 <program_main>, task_cls=0x7fffaa695ad0)
    at scheduler.c:817
        rs = 0xddc500
        ws = 0xddc590
        timeout = {rel_value_us = 0}
        ret = 1
        shc_int = 0xe1ba30
        shc_term = 0xe2a630
        shc_quit = 0xe2a7b0
        shc_hup = 0xe2aab0
        shc_pipe = 0xe2a6f0
        last_tr = 1230
        busy_wait_warning = 0
        pr = 0xe1b9f0
        c = 0 '\000'
        __FUNCTION__ = "GNUNET_SCHEDULER_run"
#8 0x00007f4be24e5788 in GNUNET_PROGRAM_run2 (argc=3, argv=0x7fffaa695c70,
    binaryName=0x402ca2 "gnunet-secretsharing-profiler", binaryHelp=0x7f4be2094149 "nohelp",
    options=0x7fffaa695c30, task=0x7f4be208b749 <run>, task_cls=0xddc6e0, run_without_scheduler=0) at program.c:286
        cc = {args = 0x7fffaa695c88, cfgfile = 0xe1bc40 "test_secretsharing.conf", task = 0x7f4be208b749 <run>,
          task_cls = 0xddc6e0, cfg = 0xe06a60}
        path = 0xe06b00 "\260\334", <incomplete sequence \340>
        loglev = 0x0
        logfile = 0x0
        cfg_fn = 0xe06ae0 "~/.config/gnunet.conf"
        xdg = 0x0
        ret = 3
        cnt = 5
        skew_offset = 4294967295
        skew_variance = 139963891384573
        clock_offset = 140733193388033
        cfg = 0xe06a60
        defoptions = {{shortName = 99 'c', name = 0x7f4be2504330 "config",
            argumentHelp = 0x7f4be2504337 "FILENAME",
            description = 0x7f4be2504340 "use configuration file FILENAME", require_argument = 1,
            processor = 0x7f4be24d7c0c <GNUNET_GETOPT_set_string>, scls = 0x7fffaa695ad8}, {shortName = 104 'h',
---Type <return> to continue, or q <return> to quit---
            name = 0x7f4be2504360 "help", argumentHelp = 0x0, description = 0x7f4be2504365 "print this help",
            require_argument = 0, processor = 0x7f4be24d76a6 <GNUNET_GETOPT_format_help_>, scls = 0x7f4be2094149}, {
            shortName = 76 'L', name = 0x7f4be2504375 "log", argumentHelp = 0x7f4be2504379 "LOGLEVEL",
            description = 0x7f4be2504388 "configure logging to use LOGLEVEL", require_argument = 1,
            processor = 0x7f4be24d7c0c <GNUNET_GETOPT_set_string>, scls = 0x7fffaa695ac8}, {shortName = 108 'l',
            name = 0x7f4be25043aa "logfile", argumentHelp = 0x7f4be25043b2 "LOGFILE",
            description = 0x7f4be25043c0 "configure logging to write logs to LOGFILE", require_argument = 1,
            processor = 0x7f4be24d7c0c <GNUNET_GETOPT_set_string>, scls = 0x7fffaa695ac0}, {shortName = 118 'v',
            name = 0x7f4be25043eb "version", argumentHelp = 0x0,
            description = 0x7f4be25043f3 "print the version number", require_argument = 0,
            processor = 0x7f4be24d7660 <GNUNET_GETOPT_print_version_>, scls = 0x7f4be250440c}}
        allopts = 0xe1b9f0
        gargs = 0x0
        lpfx = 0xe06b00 "\260\334", <incomplete sequence \340>
        spc = 0x0
        __FUNCTION__ = "GNUNET_PROGRAM_run2"
#9 0x00007f4be24e58e4 in GNUNET_PROGRAM_run (argc=3, argv=0x7fffaa695c70,
    binaryName=0x402ca2 "gnunet-secretsharing-profiler", binaryHelp=0x7f4be2094149 "nohelp",
    options=0x7fffaa695c30, task=0x7f4be208b749 <run>, task_cls=0xddc6e0) at program.c:325
No locals.
#10 0x00007f4be208ba57 in GNUNET_TESTBED_test_run (testname=0x402ca2 "gnunet-secretsharing-profiler",
    cfg_filename=0xddcb60 "test_secretsharing.conf", num_peers=16, event_mask=0, cc=0x4014dd <controller_cb>,
    cc_cls=0x0, test_master=0x4025dd <test_master>, test_master_cls=0x0) at testbed_api_test.c:151
        argv2 = {0xe19f30 "gnunet-secretsharing-profiler", 0x7f4be2094110 "-c", 0xe15500 "test_secretsharing.conf",
          0x0}
        options = {{shortName = 0 '\000', name = 0x0, argumentHelp = 0x0, description = 0x0, require_argument = 0,
            processor = 0x0, scls = 0x0}}
        rc = 0xddc6e0
        ret = 0
        __FUNCTION__ = "GNUNET_TESTBED_test_run"
#11 0x0000000000402941 in run (cls=0x0, args=0x7fffaa696090, cfgfile=0xddcb60 "test_secretsharing.conf",
    cfg=0xdda700) at gnunet-secretsharing-profiler.c:519
        session_str = 0x402eb5 "gnunet-secretsharing/test"
        topology = 0xe15500 "test_secretsharing.conf"
        topology_cmp_result = -11
        __FUNCTION__ = "run"
#12 0x00007f4be24e57be in GNUNET_PROGRAM_run2 (argc=5, argv=0x7fffaa696068,
    binaryName=0x402ca2 "gnunet-secretsharing-profiler", binaryHelp=0x402ddf "help", options=0x402f80 <options>,
    task=0x402786 <run>, task_cls=0x0, run_without_scheduler=1) at program.c:291
        cc = {args = 0x7fffaa696090, cfgfile = 0xddcb60 "test_secretsharing.conf", task = 0x402786 <run>,
          task_cls = 0x0, cfg = 0xdda700}
        path = 0xddc650 "\002"
        loglev = 0x0
        logfile = 0x0
        cfg_fn = 0xddc990 "~/.config/gnunet.conf"
        xdg = 0x0
        ret = 5
        cnt = 11
        skew_offset = 140736052420568
        skew_variance = 139963900581000
        clock_offset = 1
        cfg = 0xdda700
        defoptions = {{shortName = 99 'c', name = 0x7f4be2504330 "config",
            argumentHelp = 0x7f4be2504337 "FILENAME",
            description = 0x7f4be2504340 "use configuration file FILENAME", require_argument = 1,
            processor = 0x7f4be24d7c0c <GNUNET_GETOPT_set_string>, scls = 0x7fffaa695e98}, {shortName = 104 'h',
            name = 0x7f4be2504360 "help", argumentHelp = 0x0, description = 0x7f4be2504365 "print this help",
            require_argument = 0, processor = 0x7f4be24d76a6 <GNUNET_GETOPT_format_help_>, scls = 0x402ddf}, {
            shortName = 76 'L', name = 0x7f4be2504375 "log", argumentHelp = 0x7f4be2504379 "LOGLEVEL",
            description = 0x7f4be2504388 "configure logging to use LOGLEVEL", require_argument = 1,
            processor = 0x7f4be24d7c0c <GNUNET_GETOPT_set_string>, scls = 0x7fffaa695e88}, {shortName = 108 'l',
            name = 0x7f4be25043aa "logfile", argumentHelp = 0x7f4be25043b2 "LOGFILE",
            description = 0x7f4be25043c0 "configure logging to write logs to LOGFILE", require_argument = 1,
---Type <return> to continue, or q <return> to quit---
            processor = 0x7f4be24d7c0c <GNUNET_GETOPT_set_string>, scls = 0x7fffaa695e80}, {shortName = 118 'v',
            name = 0x7f4be25043eb "version", argumentHelp = 0x0,
            description = 0x7f4be25043f3 "print the version number", require_argument = 0,
            processor = 0x7f4be24d7660 <GNUNET_GETOPT_print_version_>, scls = 0x7f4be250440c}}
        allopts = 0xddc6e0
        gargs = 0x0
        lpfx = 0xddc650 "\002"
        spc = 0x0
        __FUNCTION__ = "GNUNET_PROGRAM_run2"
#13 0x000000000040299e in main (argc=5, argv=0x7fffaa696068) at gnunet-secretsharing-profiler.c:556
        options = {{shortName = 110 'n', name = 0x402ecf "num-peers", argumentHelp = 0x0,
            description = 0x402ed9 "number of peers in consensus", require_argument = 1,
            processor = 0x401290 <GNUNET_GETOPT_set_uint@plt>, scls = 0x603860 <num_peers>}, {shortName = 68 'D',
            name = 0x402ef6 "delay", argumentHelp = 0x0, description = 0x402efc "dkg start delay",
            require_argument = 1, processor = 0x401320 <GNUNET_GETOPT_set_relative_time@plt>,
            scls = 0x603910 <delay>}, {shortName = 116 't', name = 0x402f0c "timeout", argumentHelp = 0x0,
            description = 0x402f14 "dkg timeout", require_argument = 1,
            processor = 0x401320 <GNUNET_GETOPT_set_relative_time@plt>, scls = 0x603908 <timeout>}, {
            shortName = 107 'k', name = 0x402f20 "threshold", argumentHelp = 0x0,
            description = 0x402f20 "threshold", require_argument = 1,
            processor = 0x401290 <GNUNET_GETOPT_set_uint@plt>, scls = 0x603864 <threshold>}, {shortName = 100 'd',
            name = 0x402f2a "decrypt", argumentHelp = 0x0, description = 0x402f32 "also profile decryption",
            require_argument = 0, processor = 0x401300 <GNUNET_GETOPT_set_one@plt>, scls = 0x603900 <decrypt>}, {
            shortName = 86 'V', name = 0x402f4a "verbose", argumentHelp = 0x0,
            description = 0x402f58 "be more verbose (print received values)", require_argument = 0,
            processor = 0x401300 <GNUNET_GETOPT_set_one@plt>, scls = 0x603a40 <verbose>}, {shortName = 0 '\000',
            name = 0x0, argumentHelp = 0x0, description = 0x0, require_argument = 0, processor = 0x0, scls = 0x0}}
(gdb)
TagsNo tags attached.

Activities

Florian Dold

2014-04-14 23:27

developer   ~0008240

Should be fixed in r33071.

Bart Polot

2014-04-15 00:35

manager   ~0008244

Seems fixed.

Issue History

Date Modified Username Field Change
2014-04-10 14:05 Bart Polot New Issue
2014-04-10 14:05 Bart Polot Status new => assigned
2014-04-10 14:05 Bart Polot Assigned To => Florian Dold
2014-04-11 15:22 Christian Grothoff Target Version => 0.11.0pre66
2014-04-11 15:22 Christian Grothoff Additional Information Updated View Revisions
2014-04-14 23:27 Florian Dold Note Added: 0008240
2014-04-14 23:27 Florian Dold Status assigned => feedback
2014-04-15 00:35 Bart Polot Note Added: 0008244
2014-04-15 00:35 Bart Polot Status feedback => assigned
2014-06-04 15:32 Christian Grothoff Status assigned => resolved
2014-06-04 15:32 Christian Grothoff Fixed in Version => 0.11.0pre66
2014-06-04 15:32 Christian Grothoff Resolution open => fixed
2018-06-07 00:25 Christian Grothoff Status resolved => closed